%define	upstream_name	 PathTools
%define upstream_version 3.75

%{?perl_default_filter:%perl_default_filter}

Name:       perl-%{upstream_name}
# Not using %%perl_convert_version %%{upstream_version} because we patch it:
Version:    3.89
Release:    %mkrel 3

Summary:    Tools for working with paths and file specs across platforms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz
# Unbundled from perl 5.29.10
Patch1:         PathTools-3.75-Upgrade-to-3.78.patch
# Unbundled from perl 5.34.0
Patch2:         PathTools-3.78-Upgrade-to-3.80.patch
# Unbundled from perl 5.35.11
Patch3:         PathTools-3.80-Upgrade-to-3.84.patch
# Unbundled from perl 5.37.11
Patch4:         PathTools-3.84-Upgrade-to-3.89.patch

%{?perl_default_filter}

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%description
Tools for working with paths and file specs across platforms.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.89-3.mga10
+ Revision: 2226210
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 3.89-2.mga10
+ Revision: 2088195
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 3.89-1.mga10
+ Revision: 2011858
- Upgrade to 3.89 as provided in perl-5.37.11
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 3.750.0-7.mga9
+ Revision: 1862251
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.750.0-6.mga9
+ Revision: 1795967
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.750.0-5.mga9
+ Revision: 1726997
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 3.750.0-4.mga8
+ Revision: 1595134
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 3.750.0-3.mga8
+ Revision: 1530007
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 3.750.0-2.mga8
+ Revision: 1433868
- rebuild for perl 5.30

* Wed Sep 12 2018 shlomif <shlomif> 3.750.0-1.mga7
+ Revision: 1258759
- update to 3.75

* Wed Aug 08 2018 pterjan <pterjan> 3.740.0-2.mga7
+ Revision: 1250103
- Rebuild for perl 5.28

* Sun Feb 25 2018 shlomif <shlomif> 3.740.0-1.mga7
+ Revision: 1205006
- update to 3.74

* Tue Oct 03 2017 tv <tv> 3.620.0-5.mga7
+ Revision: 1166140
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.620.0-4.mga7
+ Revision: 1149102
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.620.0-3.mga7
+ Revision: 1127536
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.620.0-2.mga6
+ Revision: 1031919
- Rebuild for perl 5.22.2

* Thu Jan 14 2016 luigiwalser <luigiwalser> 3.620.0-1.mga6
+ Revision: 923034
- 3.62 (fixes CVE-2015-8607)
+ tv <tv>
- new release
- new release

* Fri Jun 26 2015 tv <tv> 3.470.0-9.mga6
+ Revision: 845086
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 3.470.0-8.mga6
+ Revision: 842493
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 3.470.0-7.mga5
+ Revision: 788162
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.470.0-6.mga5
+ Revision: 744724
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.470.0-5.mga5
+ Revision: 733220
- add exclude

* Wed Sep 24 2014 tv <tv> 3.470.0-4.mga5
+ Revision: 723793
- use %%perl_default_filter (fix requires)x

* Tue Sep 16 2014 umeabot <umeabot> 3.470.0-3.mga5
+ Revision: 685919
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.470.0-2.mga5
+ Revision: 631598
- Rebuild for perl 5.20

* Sun May 25 2014 sander85 <sander85> 3.470.0-1.mga5
+ Revision: 626417
- update to 3.47

* Sat Oct 19 2013 umeabot <umeabot> 3.400.0-4.mga4
+ Revision: 524933
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.400.0-3.mga4
+ Revision: 431716
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 3.400.0-2.mga4
+ Revision: 431253
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 3.400.0-1.mga3
+ Revision: 403800
- update to 3.40

* Sun Jan 13 2013 umeabot <umeabot> 3.330.0-4.mga3
+ Revision: 371626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.330.0-3.mga3
+ Revision: 251035
- rebuild for perl 5.16

* Fri Feb 18 2011 jquelin <jquelin> 3.330.0-2.mga2
+ Revision: 53701
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 3.330.0-1.mga1
+ Revision: 24470
- fix specs
- imported package perl-PathTools


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.330.0-1mdv2011.0
+ Revision: 595981
- update to new version 3.33

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 3.310.0-3mdv2011.0
+ Revision: 566439
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 3.310.0-2mdv2011.0
+ Revision: 556070
- rebuild for perl 5.12

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3.310.0-1mdv2010.1
+ Revision: 461777
- update to 3.31

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 3.300.0-2mdv2010.0
+ Revision: 408699
- force rebuild

* Mon May 25 2009 Jérôme Quelin <jquelin@mandriva.org> 3.300.0-1mdv2010.0
+ Revision: 379596
- using new %%perl_convert_version macro

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 3.30-1mdv2010.0
+ Revision: 374417
- update to new version 3.30

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.29-1mdv2009.1
+ Revision: 300672
- nouvelle version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 3.27-4mdv2009.0
+ Revision: 258194
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.27-3mdv2009.0
+ Revision: 246274
- rebuild

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.27-1mdv2008.1
+ Revision: 156180
- update to new version 3.27
- update to new version 3.27

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 3.25-2mdv2008.1
+ Revision: 152231
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2008.0
+ Revision: 48706
- import perl-PathTools


* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2008.0
- first mdv release
